Page MenuHomePhabricator

Standardizing our partman recipes
Closed, ResolvedPublic

Description

In the past, the majority of our partman recipes didn't call for a swap space. My (@RobH) understanding is, since we order our systems with sufficient memory for their allocated roles, we shouldn't need to fall back to the swap space anyhow.

Over time, with more contributors to our partman recipes, we now have a mix of swap and non swap system use. There doesn't seem to be a lot of reasoning in most cases, simply that the overall recipe of raided filesystems worked. (I could be wrong on this, hence this task.)

Is there a reason any of our systems should install/partition with swap usage?

Shouldn't we standardize where we can on this, so we don't have such a large mix of partman recipes?

In addition to the swap space question, there is also a large divergence on the use of LVM. My prior understanding, from previous/past discussions within the ops team, is we should put all our systems partitions in a large LVM, and then attempt to only use 80% of the disk's capacity. The remaining 20% was to be included in the LVM, but left free so that space could be emergency allocated in the event of a partition reaching storage capacity. The other reason (that I recall) was snapshots, but those are not taken across the cluster (nor do they need to be since we have other backup solutions in place for most misc systems, LVM snapshots are used when needed on specific service clusters.)

Should the standard still be to use an LVM and leave 20% unallocated for emergency growth?

I realize that we may have some specific clusters that do not follow the above proposed standards, but most likely should attempt to apply some similar standards. Thoughts?

Filippo's proposition

Address the common case of "stateless" hosts or otherwise misc hosts where a bunch of disks (>1) are presented as-is to the OS and we do Linux raid on top.

In I36b50e054 this is achieved with GPT partitioning, a single VG with LVs created for / /srv and swap with "comfortable" sizes. If these sizes are unsuitable for standard usage there's also a variation with "big srv" for example.

Depending on preference, we can tweak LVs as needed post-provisioning via Puppet like in Ia50bb1591 (or ad-hoc / manually, in emergencies), the most common case I'd imagine being online extending the filesytems.

The configuration is split between partitioning/common options and the raid/block device configuration, so they can be combined as required.

Details

ProjectBranchLines +/-Subject
operations/puppetproduction+6 -0
operations/puppetproduction+1 -47
operations/puppetproduction+14 -0
operations/puppetproduction+2 -1
operations/puppetproduction+2 -3
operations/puppetproduction+6 -1
operations/puppetproduction+2 -2
operations/puppetproduction+2 -59
operations/puppetproduction+10 -1
operations/puppetproduction+1 -1
operations/puppetproduction+17 -1
operations/puppetproduction+6 -1
operations/puppetproduction+1 -52
operations/puppetproduction+1 -75
operations/puppetproduction+1 -75
operations/puppetproduction+1 -73
operations/puppetproduction+1 -1
operations/puppetproduction+4 -2
operations/puppetproduction+0 -77
operations/puppetproduction+2 -2
operations/puppetproduction+0 -114
operations/puppetproduction+1 -67
operations/puppetproduction+0 -130
operations/puppetproduction+1 -68
operations/puppetproduction+0 -60
operations/puppetproduction+1 -1
operations/puppetproduction+2 -1
operations/puppetproduction+1 -1
operations/puppetproduction+7 -58
operations/puppetproduction+3 -2
operations/puppetproduction+2 -1
operations/puppetproduction+1 -2
operations/puppetproduction+1 -1
operations/puppetproduction+1 -49
operations/puppetproduction+91 -0
operations/puppetproduction+2 -2
operations/puppetproduction+3 -1
operations/puppetproduction+2 -1
operations/puppetproduction+3 -3
operations/puppetproduction+1 -1
operations/puppetproduction+0 -82
operations/puppetproduction+2 -1
operations/puppetproduction+2 -2
operations/puppetproduction+2 -78
operations/puppetproduction+1 -2
operations/puppetproduction+1 -55
operations/puppetproduction+4 -3
operations/puppetproduction+4 -75
operations/puppetproduction+1 -72
operations/puppetproduction+1 -75
operations/puppetproduction+2 -1
operations/puppetproduction+1 -56
operations/puppetproduction+3 -55
operations/puppetproduction+1 -1
operations/puppetproduction+0 -54
operations/puppetproduction+0 -61
operations/puppetproduction+0 -45
operations/puppetproduction+1 -72
operations/puppetproduction+0 -61
operations/puppetproduction+2 -1
operations/puppetproduction+7 -6
operations/puppetproduction+150 -0
operations/puppetproduction+11 -0
operations/puppetproduction+156 -96
operations/puppetproduction+8 -52
operations/puppetproduction+77 -0
operations/puppetproduction+0 -55
operations/puppetproduction+1 -59
operations/puppetproduction+0 -75
operations/puppetproduction+0 -44
operations/puppetproduction+1 -40
operations/puppetproduction+1 -32
operations/puppetproduction+1 -101
operations/puppetproduction+0 -54
Show related patches Customize query in gerrit

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 561852 merged by Muehlenhoff:
[operations/puppet@production] Deprecate raid1-lvm-ext4-srv-dualboot.cfg

https://gerrit.wikimedia.org/r/561852

Change 563374 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch ORES to standard partman recipes

https://gerrit.wikimedia.org/r/563374

Change 564550 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch conf/codfw and notebook* servers to standard Partman recipe

https://gerrit.wikimedia.org/r/564550

Change 564550 merged by Muehlenhoff:
[operations/puppet@production] Switch conf/codfw and notebook* servers to standard Partman recipe

https://gerrit.wikimedia.org/r/564550

Change 566028 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove obsolete raid0-lvm-srv.cfg

https://gerrit.wikimedia.org/r/566028

Change 566035 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch some of the WMCS systems to standardized Partman recipes

https://gerrit.wikimedia.org/r/566035

Change 566028 merged by Muehlenhoff:
[operations/puppet@production] Remove obsolete raid0-lvm-srv.cfg

https://gerrit.wikimedia.org/r/566028

Change 561837 merged by Muehlenhoff:
[operations/puppet@production] Switch DNS servers and contemporary LVSes to standard Partman recipes

https://gerrit.wikimedia.org/r/561837

Change 566237 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch some analytics roles to standard Partman recipes

https://gerrit.wikimedia.org/r/566237

Change 566035 merged by Muehlenhoff:
[operations/puppet@production] Switch some of the WMCS systems to standardized Partman recipes

https://gerrit.wikimedia.org/r/566035

Change 566286 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] install_server: switch deploy* to standard partman recipe

https://gerrit.wikimedia.org/r/566286

Change 566290 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] install_server: move oresrdb and sessionstore to standard partman recipes

https://gerrit.wikimedia.org/r/566290

Change 566286 merged by Filippo Giunchedi:
[operations/puppet@production] install_server: switch deploy* to standard partman recipe

https://gerrit.wikimedia.org/r/566286

Change 566291 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] install_server: switch ms-fe to standard partman recipes

https://gerrit.wikimedia.org/r/566291

Change 566293 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] install_server: switch wtp/weblog to standard partman recipes

https://gerrit.wikimedia.org/r/566293

Change 566237 merged by Muehlenhoff:
[operations/puppet@production] Switch some analytics roles to standard Partman recipes

https://gerrit.wikimedia.org/r/566237

Change 566476 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch authdns* to standard Partman recipes

https://gerrit.wikimedia.org/r/566476

RobH removed a subscriber: RobH.Jan 22 2020, 5:33 PM

Change 566293 merged by Filippo Giunchedi:
[operations/puppet@production] install_server: switch wtp/weblog to standard partman recipes

https://gerrit.wikimedia.org/r/566293

Change 564959 merged by Filippo Giunchedi:
[operations/puppet@production] install_server: introduce raid0 standard partman recipe

https://gerrit.wikimedia.org/r/564959

Change 566291 merged by Filippo Giunchedi:
[operations/puppet@production] install_server: switch ms-fe to standard partman recipes

https://gerrit.wikimedia.org/r/566291

Change 570316 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch cescout* to standard Partman recipe

https://gerrit.wikimedia.org/r/570316

Change 563374 merged by Muehlenhoff:
[operations/puppet@production] Switch ORES to standard partman recipes

https://gerrit.wikimedia.org/r/563374

Change 566476 merged by Muehlenhoff:
[operations/puppet@production] Switch authdns* to standard Partman recipes

https://gerrit.wikimedia.org/r/566476

Change 570316 merged by Muehlenhoff:
[operations/puppet@production] Switch cescout* to standard Partman recipe

https://gerrit.wikimedia.org/r/570316

Change 570596 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch elastic* to standard Partman recipes

https://gerrit.wikimedia.org/r/570596

Change 570600 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch logstash hosts to standard Partman recipe

https://gerrit.wikimedia.org/r/570600

Change 566290 merged by Filippo Giunchedi:
[operations/puppet@production] install_server: move oresrdb and sessionstore to standard partman recipes

https://gerrit.wikimedia.org/r/566290

Change 571265 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch contint* to standard Partman recipes

https://gerrit.wikimedia.org/r/571265

Change 571265 merged by Dzahn:
[operations/puppet@production] Switch contint* to standard Partman recipes

https://gerrit.wikimedia.org/r/571265

Change 570600 merged by Muehlenhoff:
[operations/puppet@production] Switch logstash hosts to standard Partman recipe

https://gerrit.wikimedia.org/r/570600

Change 571466 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] flerovium/furud: Switch to standard Partman recipes

https://gerrit.wikimedia.org/r/571466

Change 571466 merged by Muehlenhoff:
[operations/puppet@production] flerovium/furud: Switch to standard Partman recipes

https://gerrit.wikimedia.org/r/571466

Change 571537 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] netmon: Switch to standard Partman recipes

https://gerrit.wikimedia.org/r/571537

Change 571537 merged by Muehlenhoff:
[operations/puppet@production] netmon: Switch to standard Partman recipes

https://gerrit.wikimedia.org/r/571537

Change 571749 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch cloudnet2002-dev and cloudweb2001-dev to standard Partman recipes

https://gerrit.wikimedia.org/r/571749

Change 571749 merged by Muehlenhoff:
[operations/puppet@production] Switch cloudnet2002-dev and cloudweb2001-dev to standard Partman recipes

https://gerrit.wikimedia.org/r/571749

Change 571925 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch cloudcontrol2001-dev to standard Partman recipes

https://gerrit.wikimedia.org/r/571925

Change 571928 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch dns* to standard Partman recipes

https://gerrit.wikimedia.org/r/571928

Change 571929 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove obsolete lvm-noraid-large.a.cfg

https://gerrit.wikimedia.org/r/571929

Change 571929 merged by Muehlenhoff:
[operations/puppet@production] Remove obsolete lvm-noraid-large.a.cfg

https://gerrit.wikimedia.org/r/571929

Change 572013 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove two obsolete partman recipes

https://gerrit.wikimedia.org/r/572013

Change 571925 merged by Muehlenhoff:
[operations/puppet@production] Switch cloudcontrol2001-dev to standard Partman recipes

https://gerrit.wikimedia.org/r/571925

Change 572014 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] Switch bast*/cumin*/scandium to standard Partman recipes

https://gerrit.wikimedia.org/r/572014

Change 572013 merged by Muehlenhoff:
[operations/puppet@production] Remove two obsolete partman recipes

https://gerrit.wikimedia.org/r/572013

Change 571928 merged by Muehlenhoff:
[operations/puppet@production] Switch dns* to standard Partman recipes

https://gerrit.wikimedia.org/r/571928

Change 572196 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch more WMCS systems to standard Partman recipes

https://gerrit.wikimedia.org/r/572196

Change 572197 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove obsolete Partman recipe

https://gerrit.wikimedia.org/r/572197

Change 572197 merged by Muehlenhoff:
[operations/puppet@production] Remove obsolete Partman recipe

https://gerrit.wikimedia.org/r/572197

Change 572211 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] Switch mw/mwdebug to standard Partman recipes

https://gerrit.wikimedia.org/r/572211

Change 572275 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove obsolete Partman recipe

https://gerrit.wikimedia.org/r/572275

Change 572211 abandoned by Filippo Giunchedi:
Switch mw/mwmaint to standard Partman recipes

Reason:
As mentioned by Giuseppe the standard recipe plus forensic log won't work for mw

https://gerrit.wikimedia.org/r/572211

Change 572275 merged by Muehlenhoff:
[operations/puppet@production] Remove obsolete Partman recipe

https://gerrit.wikimedia.org/r/572275

BBlack added a subscriber: BBlack.Feb 18 2020, 8:15 PM

After the recent merger https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/571928/ - I'm having installer failure on dns2001 (we did its sibling dns2002 a few days before the merge without issue). It breaks out to promting with the installer GUI for netmask stuff and then disk partitioning. I saved the debug stuff over HTTP to cumin1001.eqiad.wmnet:~bblack/dns2001-logs/ ... we can live with it for a little bit, so leaving things as-is for debugging...

Change 572196 merged by Muehlenhoff:
[operations/puppet@production] Switch more WMCS systems to standard Partman recipes

https://gerrit.wikimedia.org/r/572196

Change 573538 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch dbproxy1021 to standard Partman recipe

https://gerrit.wikimedia.org/r/573538

Change 572014 merged by Filippo Giunchedi:
[operations/puppet@production] Switch bast*/cumin*/scandium to standard Partman recipes

https://gerrit.wikimedia.org/r/572014

Change 573538 merged by Muehlenhoff:
[operations/puppet@production] Switch dbproxy1021 to standard Partman recipe

https://gerrit.wikimedia.org/r/573538

Change 574662 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] install_server: move druid to standard partman recipe

https://gerrit.wikimedia.org/r/574662

Change 574662 merged by Filippo Giunchedi:
[operations/puppet@production] install_server: move druid to standard partman recipe

https://gerrit.wikimedia.org/r/574662

Change 574796 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch restbase-dev* to standard Partman recipes

https://gerrit.wikimedia.org/r/574796

Change 574796 merged by Muehlenhoff:
[operations/puppet@production] Switch restbase-dev* to standard Partman recipes

https://gerrit.wikimedia.org/r/574796

Change 570596 merged by Muehlenhoff:
[operations/puppet@production] Switch elastic* to standard Partman recipes

https://gerrit.wikimedia.org/r/570596

Change 575018 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Unroll analytics Partman configs

https://gerrit.wikimedia.org/r/575018

Change 575018 merged by Muehlenhoff:
[operations/puppet@production] Unroll analytics Partman configs

https://gerrit.wikimedia.org/r/575018

Change 575202 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Unroll Partman configs for Ganeti-based clusters

https://gerrit.wikimedia.org/r/575202

Change 575202 merged by Muehlenhoff:
[operations/puppet@production] Unroll Partman configs for Ganeti-based clusters

https://gerrit.wikimedia.org/r/575202

Change 553095 abandoned by Effie Mouzeli:
install_server: use raid1-gpt-lvm-ext4-srv.cfg recipe for mw*

https://gerrit.wikimedia.org/r/553095

Change 574661 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] install_server: hwraid-1dev partman recipe

https://gerrit.wikimedia.org/r/574661

Change 574661 merged by Filippo Giunchedi:
[operations/puppet@production] install_server: hwraid-1dev partman recipe

https://gerrit.wikimedia.org/r/574661

Change 578356 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] install_server: switch snapshot and sodium to standard partman recipe

https://gerrit.wikimedia.org/r/578356

Change 578356 merged by Filippo Giunchedi:
[operations/puppet@production] install_server: switch snapshot and sodium to standard partman recipe

https://gerrit.wikimedia.org/r/578356

Change 583592 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] partman: rename cp2018.cfg to cacheproxy.cfg

https://gerrit.wikimedia.org/r/583592

Change 583592 merged by BBlack:
[operations/puppet@production] partman: rename cp2018.cfg to cacheproxy.cfg

https://gerrit.wikimedia.org/r/583592

Change 583613 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] partman: clean up cacheproxy selectors

https://gerrit.wikimedia.org/r/583613

Change 584559 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] install_server: add notes for dumps/backup recipes

https://gerrit.wikimedia.org/r/584559

Change 584559 merged by Filippo Giunchedi:
[operations/puppet@production] install_server: add notes for dumps/backup recipes

https://gerrit.wikimedia.org/r/584559

Change 583613 merged by Vgutierrez:
[operations/puppet@production] partman: clean up cacheproxy selectors

https://gerrit.wikimedia.org/r/583613

Change 588955 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] install_server: Remove backup2002 from recipe to test manual install

https://gerrit.wikimedia.org/r/588955

Sorry, wrong bug^

We're in a much better place nowadays: all custom recipes have been moved to partman/custom and what's left are mostly special cases:

$ git grep -i partman/custom | awk '{print $4}' | sort -u
partman/custom/analytics-flex.cfg
partman/custom/aqs-cassandra-8ssd-2srv.cfg
partman/custom/backup-format.cfg
partman/custom/cacheproxy.cfg
partman/custom/cassandrahosts-3ssd-jbod.cfg
partman/custom/cassandrahosts-4ssd-jbod.cfg
partman/custom/cloudbackup-lvm-noraid.cfg
partman/custom/cloudvirt-two-raids.cfg
partman/custom/cloudvirtan.cfg
partman/custom/conf-lvm.cfg;;
partman/custom/db.cfg
partman/custom/dumps-distribution-100x.cfg
partman/custom/dumpsdata100X-no-data-format.cfg
partman/custom/ganeti-raid1.cfg
partman/custom/ganeti-raid5.cfg
partman/custom/ganeti.cfg
partman/custom/graphite.cfg
partman/custom/kafka-jumbo.cfg
partman/custom/kubernetes-node-virtual.cfg
partman/custom/kubernetes-node.cfg
partman/custom/labvirt-ssd.cfg
partman/custom/ms-be.cfg
partman/custom/mw-raid1-lvm.cfg
partman/custom/no-srv-format.cfg
partman/custom/prometheus.cfg;;
partman/custom/raid1-lvm-xfs-nova.cfg
partman/custom/varnish.cfg
partman/custom/virt-hp.cfg

Of these some can be further folded into the standard recipes, for example when the only difference is the "data partition" mountpoint: for example raid1-lvm-xfs-nova.cfg uses /var/lib/nova/instances whereas we could standardize on /srv and either change the nova configuration or install a symlink (or both, during the transition)

fgiunchedi moved this task from Doing to Radar on the User-fgiunchedi board.Jun 1 2020, 9:35 AM

Change 601708 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Add raid1-4dev.cfg

https://gerrit.wikimedia.org/r/601708

Change 601708 abandoned by Muehlenhoff:
Add raid1-4dev.cfg

Reason:
I had a closer look, contint1001 prior to the partman cleanup used the raid1 recipe with two disk and two additional disks were simply mounted manually in addition to hold Docker images. Abandon, it makes more sense to use the existing raid10 standard recipe.

https://gerrit.wikimedia.org/r/601708

Change 633704 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] install_server: use standard partman recipe for nvme cp hosts

https://gerrit.wikimedia.org/r/633704

Change 635530 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] partman: document cacheproxy exceptions

https://gerrit.wikimedia.org/r/635530

Change 633704 abandoned by Filippo Giunchedi:
[operations/puppet@production] install_server: use standard partman recipe for nvme cp hosts

Reason:
SGTM, see Ibe7540b90bfa0

https://gerrit.wikimedia.org/r/633704

Change 635530 merged by BBlack:
[operations/puppet@production] partman: document cacheproxy exceptions

https://gerrit.wikimedia.org/r/635530

Dzahn added a comment.EditedMon, Jan 4, 9:04 PM

Since this ticket has been created we now have a fairly small subset of standard recipes.

But at the same time there are still a bunch of recipes in a "custom" subdirectory.

This is one of those tickets where it's hard to say when it's actually done and should be called resolved.

It is much closer to 'resolved' though than it used to be.

Right?

Dzahn added a comment.Mon, Jan 4, 9:06 PM
git grep 'echo partman/.* ;;'  | awk '{print $4}' | sort | uniq -c | sort -rn
    74 partman/standard.cfg
    65 partman/flat.cfg
     4 partman/custom/mw-raid1-lvm.cfg
     3 partman/custom/labvirt-ssd.cfg
     2 partman/manual-setup.cfg
     2 partman/custom/ms-be.cfg
     2 partman/custom/kubernetes-node.cfg
     2 partman/custom/ganeti.cfg
     2 partman/custom/dumps-distribution-100x.cfg
     2 partman/custom/cassandrahosts-4ssd-jbod.cfg
     2 partman/custom/cassandrahosts-3ssd-jbod.cfg
     1 partman/custom/varnish.cfg
     1 partman/custom/raid1-lvm-xfs-nova.cfg
     1 partman/custom/labvirt-backy-ssd.cfg
     1 partman/custom/kubernetes-node-virtual.cfg
     1 partman/custom/graphite.cfg
     1 partman/custom/ganeti-raid5.cfg
     1 partman/custom/ganeti-raid1.cfg
     1 partman/custom/dumpsdata100X-no-data-format.cfg
     1 partman/custom/db.cfg
     1 partman/custom/cloudvirtan.cfg
     1 partman/custom/cloudbackup-lvm-noraid.cfg
     1 partman/custom/cacheproxy.cfg
     1 partman/custom/backup-format.cfg
     1 partman/custom/aqs-cassandra-8ssd-2srv.cfg
     1 partman/custom/analytics-flex.cfg
fgiunchedi closed this task as Resolved.Tue, Jan 5, 1:31 PM
fgiunchedi claimed this task.
fgiunchedi added a subscriber: Dzahn.

Since this ticket has been created we now have a fairly small subset of standard recipes.

But at the same time there are still a bunch of recipes in a "custom" subdirectory.

This is one of those tickets where it's hard to say when it's actually done and should be called resolved.

It is much closer to 'resolved' though than it used to be.

Right?

I agree, I'm boldly resolving the task since it is as good as it gets for now.